summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--desktop/matchbox-window-manager/README7
-rw-r--r--desktop/matchbox-window-manager/doinst.sh15
-rw-r--r--desktop/matchbox-window-manager/matchbox-window-manager.SlackBuild34
-rw-r--r--desktop/matchbox-window-manager/matchbox-window-manager.info2
-rw-r--r--desktop/matchbox-window-manager/slack-desc9
-rw-r--r--desktop/matchbox-window-manager/xinitrc.matchbox35
6 files changed, 56 insertions, 46 deletions
diff --git a/desktop/matchbox-window-manager/README b/desktop/matchbox-window-manager/README
index c6aceaa9a4..c240e0b064 100644
--- a/desktop/matchbox-window-manager/README
+++ b/desktop/matchbox-window-manager/README
@@ -2,9 +2,4 @@ Matchbox is a lightweight environment for the X Window System, that
is specifically designed for embedded platforms such as handhelds
and set-top boxes.
-This is a SlackBuild for the Matchbox window manager. The libmatchbox
-library is required to build this package. libmatchbox is available
-through the project website and as a SlackBuild.
-
-The Matchbox homepage can be found at:
-http://projects.o-hand.com/matchbox/
+This requires libmatchbox.
diff --git a/desktop/matchbox-window-manager/doinst.sh b/desktop/matchbox-window-manager/doinst.sh
new file mode 100644
index 0000000000..d816817b8e
--- /dev/null
+++ b/desktop/matchbox-window-manager/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/matchbox/kbdconfig.new
+
diff --git a/desktop/matchbox-window-manager/matchbox-window-manager.SlackBuild b/desktop/matchbox-window-manager/matchbox-window-manager.SlackBuild
index 82c93cf41b..034de204bc 100644
--- a/desktop/matchbox-window-manager/matchbox-window-manager.SlackBuild
+++ b/desktop/matchbox-window-manager/matchbox-window-manager.SlackBuild
@@ -22,14 +22,12 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Exit on most errors
-set -e
-
PRGNAM=matchbox-window-manager
VERSION=1.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -37,15 +35,22 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -54,26 +59,33 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--enable-expat \
--enable-startup-notification \
- --enable-session
+ --enable-session \
+ --build=$ARCH-slackware-linux
make
make install-strip DESTDIR=$PKG
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
- $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
# Add xinitrc file for matchbox
mkdir -p $PKG/etc/X11/xinit
install -m 0755 $CWD/xinitrc.matchbox $PKG/etc/X11/xinit/xinitrc.matchbox
+# Don't clobber the keyboard config
+mv $PKG/etc/matchbox/kbdconfig $PKG/etc/matchbox/kbdconfig.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/matchbox-window-manager/matchbox-window-manager.info b/desktop/matchbox-window-manager/matchbox-window-manager.info
index de4d1f7049..63ef5dd528 100644
--- a/desktop/matchbox-window-manager/matchbox-window-manager.info
+++ b/desktop/matchbox-window-manager/matchbox-window-manager.info
@@ -3,6 +3,8 @@ VERSION="1.1"
HOMEPAGE="http://projects.o-hand.com/matchbox/"
DOWNLOAD="http://projects.o-hand.com/matchbox/sources/matchbox-window-manager/1.1/matchbox-window-manager-1.1.tar.bz2"
MD5SUM="73881fc9410ef49b1cb9f45af270be69"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Daniel de Kok"
EMAIL="danieldk@pobox.com"
APPROVED="BP{k}"
diff --git a/desktop/matchbox-window-manager/slack-desc b/desktop/matchbox-window-manager/slack-desc
index 1361a2db4a..ce4dc78ace 100644
--- a/desktop/matchbox-window-manager/slack-desc
+++ b/desktop/matchbox-window-manager/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
matchbox-window-manager: matchbox-window-manager (The Matchbox window manager)
matchbox-window-manager:
matchbox-window-manager: Matchbox is a lightweight environment for the X Window
@@ -14,7 +14,6 @@ matchbox-window-manager: platforms such as handhelds and set-top boxes.
matchbox-window-manager:
matchbox-window-manager: This package contains the Matchbox window manager.
matchbox-window-manager:
-matchbox-window-manager: The Matchbox homepage can be found at:
-matchbox-window-manager: http://projects.o-hand.com/matchbox/
-matchbox-window-manager:
-
+matchbox-window-manager: Homepage: http://projects.o-hand.com/matchbox/
+matchbox-window-manager:
+matchbox-window-manager:
diff --git a/desktop/matchbox-window-manager/xinitrc.matchbox b/desktop/matchbox-window-manager/xinitrc.matchbox
index 29f84e56da..64c2ea46ed 100644
--- a/desktop/matchbox-window-manager/xinitrc.matchbox
+++ b/desktop/matchbox-window-manager/xinitrc.matchbox
@@ -1,33 +1,20 @@
#!/bin/sh
-# $Xorg: xinitrc.cpp,v 1.3 2000/08/17 19:54:30 cpqbld Exp $
userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap
-sysresources=/usr/X11R6/lib/X11/xinit/.Xresources
-sysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap
+sysresources=/usr/lib/X11/xinit/.Xresources
+sysmodmap=/usr/lib/X11/xinit/.Xmodmap
-# merge in defaults and keymaps
+# Merge in defaults and keymaps
+[ -f $sysresources ] && /usr/bin/xrdb -merge $sysresources
+[ -f $sysmodmap ] && /usr/bin/xmodmap $sysmodmap
+[ -f $userresources ] && /usr/bin/xrdb -merge $userresources
+[ -f $usermodmap ] && /usr/bin/xmodmap $usermodmap
-if [ -f $sysresources ]; then
- /usr/X11R6/bin/xrdb -merge $sysresources
-fi
-
-if [ -f $sysmodmap ]; then
- /usr/X11R6/bin/xmodmap $sysmodmap
-fi
-
-if [ -f $userresources ]; then
- /usr/X11R6/bin/xrdb -merge $userresources
-fi
-
-if [ -f $usermodmap ]; then
- /usr/X11R6/bin/xmodmap $usermodmap
-fi
-
-# start Matchbox
+# Start Matchbox
if [ -x /usr/bin/matchbox-session ]; then
- matchbox-session
+ matchbox-session
else
- xterm &
- matchbox-window-manager
+ xterm &
+ matchbox-window-manager
fi